// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
//
#ifndef LCD_ROUTINES_H
#define LCD_ROUTINES_H

#include "config.h"

extern void lcd_data(unsigned char);
extern void lcd_string(const char *);
extern void lcd_init(void);
extern void lcd_clear(void);
extern void lcd_cursor(const unsigned char, const unsigned char);
extern void lcd_DefineChar(const unsigned char);

#ifdef USEEEPROM
void lcd_eep_string(const char *);
#endif
 
  // Zeilen fr LCD
#define lcd_Line1() lcd_cursor(0, 0)
#define lcd_Line2() lcd_cursor(1, 0)

  // Pinbelegung fr das LCD, an verwendete Pins anpassen
  //
  // Datenleitungen sind fest D0..D3 an dem Port
  // Steuerleitungen RS und EN mssen am gleichen Port sein
  // R/W Signal direkt auf Masse (immer schreiben)
#define LCD_PORT      PORTD
#define LCD_DDR       DDRD
#define LCD_RS        PD4
#define LCD_EN1       PD5

  // Zeichenkodes
#define LCD_CHAR_OMEGA  244
#define LCD_CHAR_DIODE  0

#endif /* LCD_ROUTINES_H */
